## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionValidate

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction, XMLValueFunction

All Known Implementing Classes:
  XMLValueFunctionValidateImpl

    public interface XMLValueFunctionValidate

extends XMLValueFunction

A representation of the model object 'XML Value Function Validate'. Generates an XML value by performing a parse of an XML expression according to a given XML schema. See ISO SQL/XML sec. 6.19.

The following features are supported:

- `Content Option`
- `Validate Content`
- `Validate According To`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionValidate()`

Method Summary
`XMLContentType2` `getContentOption()` Returns the value of the 'Content Option' attribute.
`XMLValueFunctionValidateAccordingTo` `getValidateAccordingTo()` Returns the value of the 'Validate According To' containment reference.
`XMLValueFunctionValidateContent` `getValidateContent()` Returns the value of the 'Validate Content' containment reference.
`void` `setContentOption(XMLContentType2 value)` Sets the value of the '`Content Option`' attribute.
`void` `setValidateAccordingTo(XMLValueFunctionValidateAccordingTo value)` Sets the value of the '`Validate According To`' containment reference.
`void` `setValidateContent(XMLValueFunctionValidateContent value)` Sets the value of the '`Validate Content`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getContentOption

    XMLContentType2 getContentOption()

  Returns the value of the 'Content Option' attribute. The literals are from the enumeration `XMLContentType2`.

  If the meaning of the 'Content Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content Option' attribute.
  See Also:
    `XMLContentType2`, `setContentOption(XMLContentType2)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidate_ContentOption()`

### setContentOption

    void setContentOption(XMLContentType2 value)

  Sets the value of the '`Content Option`' attribute.

  Parameters:
    `value` - the new value of the 'Content Option' attribute.
  See Also:
    `XMLContentType2`, `getContentOption()`

### getValidateContent

    XMLValueFunctionValidateContent getValidateContent()

  Returns the value of the 'Validate Content' containment reference. It is bidirectional and its opposite is '`Value Function Validate`'.

  If the meaning of the 'Validate Content' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate Content' containment reference.
  See Also:
    `setValidateContent(XMLValueFunctionValidateContent)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidate_ValidateContent()`, `XMLValueFunctionValidateContent.getValueFunctionValidate()`

### setValidateContent

    void setValidateContent(XMLValueFunctionValidateContent value)

  Sets the value of the '`Validate Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate Content' containment reference.
  See Also:
    `getValidateContent()`

### getValidateAccordingTo

    XMLValueFunctionValidateAccordingTo getValidateAccordingTo()

  Returns the value of the 'Validate According To' containment reference. It is bidirectional and its opposite is '`Value Function Validate`'.

  If the meaning of the 'Validate According To' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validate According To' containment reference.
  See Also:
    `setValidateAccordingTo(XMLValueFunctionValidateAccordingTo)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidate_ValidateAccordingTo()`, `XMLValueFunctionValidateAccordingTo.getValueFunctionValidate()`

### setValidateAccordingTo

    void setValidateAccordingTo(XMLValueFunctionValidateAccordingTo value)

  Sets the value of the '`Validate According To`' containment reference.

  Parameters:
    `value` - the new value of the 'Validate According To' containment reference.
  See Also:
    `getValidateAccordingTo()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.